<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'auth_cas', language 'et', version '5.0'.
 *
 * @package     auth_cas
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['CASform'] = 'Autentimise valik';
$string['auth_cas_auth_logo'] = 'Autentimismeetodi logo';
$string['auth_cas_auth_logo_description'] = 'Esita CASi autentimismeetodi jaoks logo, mis on sinu kasutajatele tuttav.';
$string['auth_cas_auth_name'] = 'Autentimismeetodi nimi';
$string['auth_cas_auth_name_description'] = 'Esita CASi autentimismeetodi jaoks nimi, mis on sinu kasutajatele tuttav.';
$string['auth_cas_auth_service'] = 'CAS';
$string['auth_cas_auth_user_create'] = 'Loo kasutajad väliselt';
$string['auth_cas_baseuri'] = 'Serveri URI (baseUri puudumise korral ärge sisestage midagi).<br />Näiteks, kui CAS-server vastab hostile host.domaine.fr/CAS/, siis<br />cas_baseuri=CAS';
$string['auth_cas_baseuri_key'] = 'Alus-URI';
$string['auth_cas_broken_password'] = 'Sa ei saa parooli muutmata jätkata, kuid selle muutmiseks pole ühtegi lehte saadaval. Palun pöördu oma Moodle\'i administraatori poole.';
$string['auth_cas_cantconnect'] = 'CASi mooduli LDAP ei saa serveriga ühendust: {$a}';
$string['auth_cas_casversion'] = 'CASi protokolli versioon';
$string['auth_cas_certificate_check'] = 'Vali Jah kui soovid serveri sertifikaati valideerida';
$string['auth_cas_certificate_check_key'] = 'Serveri valideerimine';
$string['auth_cas_certificate_path'] = 'CA-ahela faili tee (PEM-vorming) serverisertifikaadi kinnitamiseks';
$string['auth_cas_certificate_path_empty'] = 'Kui lülitad sisse serveri valideerimie, pead määrama sertifikaadi tee';
$string['auth_cas_certificate_path_key'] = 'Sertifikaadi tee';
$string['auth_cas_changepasswordurl'] = 'Salasõna muutmise URL';
$string['auth_cas_create_user'] = 'Lülita see sisse, kui soovid sisestada Kasutajaid Moodle\'i andmebaasi CAS-autentimisega. Kui mitte, siis saavad sisse logida ainult need kasutajad, kes juba on Moodle\'i andmebaasis olemas.';
$string['auth_cas_create_user_key'] = 'Loo kasutaja';
$string['auth_cas_curl_ssl_version'] = 'Kasutatav SSL-versioon (2 või 3). Vaikimisi proovib PHP seda ise kindlaks teha, kuigi mõnel juhul tuleb see käsitsi seadistada.';
$string['auth_cas_curl_ssl_version_SSLv2'] = 'SSLv2';
$string['auth_cas_curl_ssl_version_SSLv3'] = 'SSLv3';
$string['auth_cas_curl_ssl_version_TLSv10'] = 'TLSv1.0';
$string['auth_cas_curl_ssl_version_TLSv11'] = 'TLSv1.1';
$string['auth_cas_curl_ssl_version_TLSv12'] = 'TLSv1.2';
$string['auth_cas_curl_ssl_version_TLSv1x'] = 'TLSv1.x';
$string['auth_cas_curl_ssl_version_default'] = 'Vaikimisi';
$string['auth_cas_curl_ssl_version_key'] = 'cURL SSL versioon';
$string['auth_cas_enabled'] = 'Lülita see sisse, kui soovid kasutada CAS-i autentimist.';
$string['auth_cas_hostname'] = 'CAS-serveri hostinimi <br /> nt: host.domain.fr';
$string['auth_cas_hostname_key'] = 'Hostinimi';
$string['auth_cas_invalidcaslogin'] = 'Vabandust, sinu sisselogimine ebaõnnestus - sind ei õnnestunud tuvastada';
$string['auth_cas_language'] = 'Vali autentimislehtede keel';
$string['auth_cas_language_key'] = 'Keel';
$string['auth_cas_logincas'] = '';
$string['auth_cas_logout_return_url'] = 'Sisesta URL, kuhu CASi kasutajad pärast väljalogimist suunatakse. <br /> Kui see jäetakse tühjaks , suunatakse kasutajad sinna kohta, kuhu Moodle suunab kasutajad';
$string['auth_cas_logout_return_url_key'] = '';
$string['auth_cas_logoutcas'] = 'Vali Jah kui soovid Moodle\'iga ühenduste katkemisel CASist väljalogimist.';
$string['auth_cas_logoutcas_key'] = 'CASi väljalogimise valik';
$string['auth_cas_multiauth'] = 'Valige „jah”, kui soovid mitme autentimise võimalust (CAS + muu autentimine)';
$string['auth_cas_multiauth_key'] = 'Mitu autentimisvõimalust';
$string['auth_cas_port'] = 'CAS serveri Port.';
$string['auth_cas_port_key'] = 'Port.';
$string['auth_cas_proxycas'] = '';
$string['auth_cas_proxycas_key'] = 'Puhverserverirežiim';
$string['auth_cas_server_settings'] = 'CASi serveri seadistamine';
$string['auth_cas_text'] = 'Turvaline ühendus';
$string['auth_cas_use_cas'] = 'Kasuta CASi';
$string['auth_cas_version'] = 'Kasutatav CAS-protokolli versioon';
$string['auth_casdescription'] = 'See meetod kasutab CAS-serverit (Central Authentication Service) kasutajate autentimiseks ühekordse sisselogimise keskkonnas (SSO). Võid kasutada ka lihtsat LDAP-autentimist. Kui antud kasutajanimi ja parool kehtivad vastavalt CAS-ile, loob Moodle oma andmebaasis uue kasutajakande, võttes vajadusel kasutaja atribuute LDAP-ist. Järgmistel sisselogimisel kontrollitakse ainult kasutajanime ja parooli.';
$string['auth_casnotinstalled'] = 'Ei saa kasutada CASi autentimist. PHP LDAP moodulit ei ole installeeritud.';
$string['noldapserver'] = 'CASi jaoks pole LDAP-serverit konfigureeritud! Sünkroonimine on keelatud.';
$string['pluginname'] = 'CASi server (SSO)';
$string['privacy:metadata'] = 'CAS-serveri (SSO) autentimise plugin ei salvesta isikuandmeid.';
$string['synctask'] = 'CAS-i kasutajate sünkroonimistöö';
