<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'search_solr', language 'et', version '5.0'.
 *
 * @package     search_solr
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['connectionerror'] = 'Määratud Solri server pole saadaval või määratud indeksit pole olemas';
$string['connectionsettings'] = 'Ühenduse sätted';
$string['errorcreatingschema'] = 'Tõrge Solri skeemi loomisel: {$a}';
$string['errorsolr'] = 'Solri otsingumootor teatas veast: {$a}';
$string['errorvalidatingschema'] = 'Tõrge Solri skeemi valideerimisel: välja {$a->fieldname} pole olemas. Nõutavate väljade seadistamiseks <a href="{$a->setupurl}">klõpsake seda linki</a>.';
$string['extensionerror'] = 'Apache Solri PHP-laiendus pole installitud. Kontrollige dokumentatsiooni.';
$string['fileindexing'] = 'Luba failide indekseerimine';
$string['fileindexing_help'] = 'Kui sinu Solri install seda toetab, võimaldab see funktsioon indekseerida Moodle\'il faile. <br/>
Pärast selle seade lubamist  ning kõigi failide lisamiseks pead kogu saidi sisu uuesti indekseerima.';
$string['fileindexsettings'] = 'Failide indekseerimissätted';
$string['maxindexfilekb'] = 'Indekseeritava faili maksimummaht (kB)';
$string['maxindexfilekb_help'] = 'Faile, mille maht on määratud kilobaitidest suurem, ei kaasata otsingu indekseerimisse. Kui väärtuseks on määratud null, indekseeritakse mis tahes mahuga faile.';
$string['minimumsolr4'] = 'Moodle’i nõutav miinimumversioon on Solr 4.0';
$string['missingconfig'] = 'Teie Apache Solri server pole veel Moodle’i jaoks konfigureeritud.';
$string['multivaluedfield'] = 'Väli „{$a}“ tagastas skalaari asemel massiivi. Kustutage praegune indeks, looge uus ja käivitage enne andmete Solris indekseerimist fail setup_schema.php.';
$string['nodatafromserver'] = 'Serverist pärit andmeid pole';
$string['pluginname'] = 'Solr';
$string['privacy:metadata'] = 'See plugin saadab andmed väliselt lingitud Solri otsingumootorile. See ei salvesta andmeid lokaalselt.';
$string['privacy:metadata:data'] = 'Otsingu alamsüsteemi läbivad isikuandmed.';
$string['schemafieldautocreated'] = 'Väli „{$a}“ on Solri skeemis juba olemas. Ilmselt unustasite selle skripti enne andmete indekseerimist käitamata ja Solr lõi väljad automaatselt. Kustutage praegune indeks, looge uus ja käivitage enne andmete Solris indekseerimist uuesti fail setup_schema.php.';
$string['schemasetupfromsolr5'] = 'Teie Solri serveri versioon on vanem kui 5.0. See skript saab teie skeemi seadistada ainult juhul, kui Solri versioon on 5.0 või uuem. Peate oma skeemis väljad seadistama käsitsi, nagu näidatud siin: \\search_solr\\document::get_default_fields_definition().';
$string['searchinfo'] = 'Otsingupäringud';
$string['searchinfo_help'] = 'Otsitava välja määramiseks lisage otsingupäringule eesliide „title:“, „content:“, „name:“ või „intro:“. Näiteks otsing „title:uudised“ tagastab tulemid, mille pealkirjas on sõna „uudised“.

Märksõnade kombineerimiseks või välistamiseks saab kasutada kahendoperaatoreid („AND“, „OR“, „NOT“).

Otsingupäringus saab märke asendada metamärkidega („*“ või „?“).';
$string['setupok'] = 'Skeem on kasutamiseks valmis';
$string['solrauthpassword'] = 'HTTP autentimisparool';
$string['solrauthuser'] = 'HTTP autentimiskasutajanimi';
$string['solrhttpconnectionport'] = 'Port';
$string['solrhttpconnectiontimeout'] = 'Ajalõpp';
$string['solrhttpconnectiontimeout_desc'] = 'HTTP-ühenduse ajalõpp on HTTP-andmete ülekandmistegevuse jaoks lubatud maksimumaeg sekundites.';
$string['solrindexname'] = 'Indeksi nimi';
$string['solrinfo'] = 'Solr';
$string['solrnotselected'] = 'Solri mootor pole konfigureeritud otsimootor';
$string['solrsecuremode'] = 'Turvarežiim';
$string['solrserverhostname'] = 'Hosti nimi';
$string['solrserverhostname_desc'] = 'Solri serveri domeeninimi';
$string['solrsetting'] = 'Solri sätted';
$string['solrsslcainfo'] = 'SSL-i CA-serdi nimi';
$string['solrsslcainfo_desc'] = 'Üht või mitut võrdõigusseade kontrollimiseks mõeldud CA-serti sisaldava faili nimi';
$string['solrsslcapath'] = 'SSL-i CA-serdi tee';
$string['solrsslcapath_desc'] = 'Mitut võrdõigusseade kontrollimiseks mõeldud CA-serti sisaldava kausta tee';
$string['solrsslcert'] = 'SSL-i sert';
$string['solrsslcert_desc'] = 'PEM-vormindatud privaatserdi failinimi';
$string['solrsslkey'] = 'SSL-i võti';
$string['solrsslkey_desc'] = 'PEM-vormindatud privaatvõtme failinimi';
$string['solrsslkeypassword'] = 'SSL-i võtme parool';
$string['solrsslkeypassword_desc'] = 'PEM-vormindatud privaatvõtme failiparool';
